> The Sora 2 models and Videos API were shut down on September 24, 2026 and are no longer available. No one-to-one replacement API is available. This page is retained for historical reference. See the [deprecation notice](https://developers.openai.com/api/docs/deprecations#2026-03-24-sora-2-video-generation-models-and-videos-api).

## Retrieve a character

**get** `/videos/characters/{character_id}`

Fetch a character.

### Path Parameters

- `character_id: string`

### Returns

- `id: string or null`

  Identifier for the character creation cameo.

- `created_at: number`

  Unix timestamp (in seconds) when the character was created.

- `name: string or null`

  Display name for the character.

### Example

```http
curl https://api.openai.com/v1/videos/characters/$CHARACTER_ID \
    -H "Authorization: Bearer $OPENAI_API_KEY"
```

#### Response

```json
{
  "id": "id",
  "created_at": 0,
  "name": "name"
}
```
